%define msn_major 0.3
%define libname %mklibname msn %{msn_major}
%define devname %mklibname msn -d

Summary:	Reusable, open-source and fully documented library for MSN
Name:		libmsn
Version:	4.2.1
Release:	6
License:	GPLv2+
Group:		Development/C++
Url:		http://sourceforge.net/projects/libmsn
Source0:	http://downloads.sourceforge.net/libmsn/%name-%version.tar.bz2
Patch0:		libmsn-4.2.1-unistd.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(openssl)

%description
Libmsn is a reusable, open-source, fully documented library for connecting
to Microsoft's MSN Messenger service.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Reusable, open-source and fully documented library for MSN
Group:		System/Libraries

%description -n %{libname}
Libmsn is a reusable, open-source, fully documented library for connecting
to Microsoft's MSN Messenger service.


%files -n %{libname}
%{_libdir}/libmsn.so.%{msn_major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 4.2.1-6
Obsoletes:	%{name}-devel < 4.2.1-6

%description -n %{devname}
Files needed to build applications based on %{name}.

%files -n %{devname}
%{_libdir}/pkgconfig/*
%{_includedir}/msn
%{_libdir}/libmsn.so

#----------------------------------------------------------------------------

%package test
Summary:	Connection test utility
Group:		Development/C++

%description test
Connection test utility.

%files test
%{_bindir}/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake
%make

%install
%makeinstall_std -C build


%changelog
* Fri Dec 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.2.1-6
+ Revision: c7d9693
- Properly name devel package


